summaryrefslogtreecommitdiffstats
path: root/source/ap/powertop/powertop.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/powertop/powertop.SlackBuild')
-rwxr-xr-xsource/ap/powertop/powertop.SlackBuild6
1 files changed, 3 insertions, 3 deletions
diff --git a/source/ap/powertop/powertop.SlackBuild b/source/ap/powertop/powertop.SlackBuild
index 3fc2904cf..94c636408 100755
--- a/source/ap/powertop/powertop.SlackBuild
+++ b/source/ap/powertop/powertop.SlackBuild
@@ -28,7 +28,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=powertop
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev | tr -d 'v')}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -72,8 +72,8 @@ fi
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
-cd ${PKGNAM}-$VERSION || exit 1
+tar xvf $CWD/${PKGNAM}-v$VERSION.tar.?z || tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
+cd ${PKGNAM}-v$VERSION || ${PKGNAM}-v$VERSION || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .